Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# OS_TLI.h File Reference

`#include "ace/pre.h"`
`#include "ace/config-all.h"`
`#include "ace/OS_Export.h"`
`#include "ace/post.h"`

Include dependency graph for OS_TLI.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | ACE_OS_TLI
| This class is a wrapper for the TLI operations. More...
## Functions
int | t_accept (int fildes, int resfd, struct t_call *call)
char * | t_alloc (int fildes, int struct_type, int fields)
int | t_bind (int fildes, struct t_bind *req, struct t_bind *ret)
int | t_close (int fildes)
int | t_connect (int fildes, struct t_call *sndcall, struct t_call *rcvcall)
void | t_error (const char *errmsg)
int | t_free (char *ptr, int struct_type)
int | t_getinfo (int fildes, struct t_info *info)
int | t_getname (int fildes, struct netbuf *namep, int type)
int | t_getstate (int fildes)
int | t_listen (int fildes, struct t_call *call)
int | t_look (int fildes)
int | t_open (char *path, int oflag, struct t_info *info)
int | t_optmgmt (int fildes, struct t_optmgmt *req, struct t_optmgmt *ret)
int | t_rcv (int fildes, char *buf, unsigned int nbytes, int *flags)
int | t_rcvconnect (int fildes, struct t_call *call)
int | t_rcvdis (int fildes, struct t_discon *discon)
int | t_rcvrel (int fildes)
int | t_rcvudata (int fildes, struct t_unitdata *unitdata, int *flags)
int | t_rcvuderr (int fildes, struct t_uderr *uderr)
int | t_snd (int fildes, const char *buf, unsigned int nbytes, int flags)
int | t_snddis (int fildes, struct t_call *call)
int | t_sndrel (int fildes)
int | t_sndudata (int fildes, struct t_unitdata *unitdata)
int | t_sync (int fildes)
int | t_unbind (int fildes)

## Detailed Description

OS_TLI.h,v 4.7 2001/07/11 12:14:35 schmidt Exp

Author:
  Doug Schmidt <schmidt@cs.wustl.edu>

## Function Documentation

int t_accept | ( | int | fildes,
|  | int | resfd,
|  | struct t_call * | call
| ) |

char* t_alloc | ( | int | fildes,
|  | int | struct_type,
|  | int | fields
| ) |

int t_bind | ( | int | fildes,
|  | struct t_bind * | req,
|  | struct t_bind * | ret
| ) |

int t_close | ( | int | fildes | ) |

int t_connect | ( | int | fildes,
|  | struct t_call * | sndcall,
|  | struct t_call * | rcvcall
| ) |

void t_error | ( | const char * | errmsg | ) |

int t_free | ( | char * | ptr,
|  | int | struct_type
| ) |

int t_getinfo | ( | int | fildes,
|  | struct t_info * | info
| ) |

int t_getname | ( | int | fildes,
|  | struct netbuf * | namep,
|  | int | type
| ) |

int t_getstate | ( | int | fildes | ) |

int t_listen | ( | int | fildes,
|  | struct t_call * | call
| ) |

int t_look | ( | int | fildes | ) |

int t_open | ( | char * | path,
|  | int | oflag,
|  | struct t_info * | info
| ) |

int t_optmgmt | ( | int | fildes,
|  | struct t_optmgmt * | req,
|  | struct t_optmgmt * | ret
| ) |

int t_rcv | ( | int | fildes,
|  | char * | buf,
|  | unsigned int | nbytes,
|  | int * | flags
| ) |

int t_rcvconnect | ( | int | fildes,
|  | struct t_call * | call
| ) |

int t_rcvdis | ( | int | fildes,
|  | struct t_discon * | discon
| ) |

int t_rcvrel | ( | int | fildes | ) |

int t_rcvudata | ( | int | fildes,
|  | struct t_unitdata * | unitdata,
|  | int * | flags
| ) |

int t_rcvuderr | ( | int | fildes,
|  | struct t_uderr * | uderr
| ) |

int t_snd | ( | int | fildes,
|  | const char * | buf,
|  | unsigned int | nbytes,
|  | int | flags
| ) |

int t_snddis | ( | int | fildes,
|  | struct t_call * | call
| ) |

int t_sndrel | ( | int | fildes | ) |

int t_sndudata | ( | int | fildes,
|  | struct t_unitdata * | unitdata
| ) |

int t_sync | ( | int | fildes | ) |

int t_unbind | ( | int | fildes | ) |